package com.changda.gjjapp.zhfwpt.controller;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.changda.gjjapp.zhfwpt.service.qdyxzb.ZhfwptTest;

import luoyu.DbContextHolder;

@Controller()
@RequestMapping(value = "/zhfwpt/test")
public class TestController {

    @Autowired
    private ZhfwptTest zTest;


    @RequestMapping("show")
    @ResponseBody
    public List<Map<String, Object>> Test() {
        DbContextHolder.setDbType("dataSource_second");
        List<Map<String, Object>> list = zTest.Test();
        return list;
    }
}
